# ApplicationFramework
PTKernel
PColStd

# PColStd_HDoubleListOfPersistent Class Reference

`#include <PColStd_HDoubleListOfPersistent.hxx>`

Inheritance diagram for PColStd_HDoubleListOfPersistent:

[legend]

## Public Member Functions

Standard_EXPORT | PColStd_HDoubleListOfPersistent ()
Standard_EXPORT Standard_Boolean | IsEmpty () const
Standard_EXPORT Handle_PColStd_HDoubleListOfPersistent | Construct (const Handle(Standard_Persistent)&T)
Standard_EXPORT Handle_Standard_Persistent | Value () const
Standard_EXPORT Handle_PColStd_HDoubleListOfPersistent | Tail () const
Standard_EXPORT Handle_PColStd_HDoubleListOfPersistent | Previous () const
Standard_EXPORT void | SwapTail (Handle(PColStd_HDoubleListOfPersistent)&WithList)
Standard_EXPORT void | SetValue (const Handle(Standard_Persistent)&T)
Standard_EXPORT void | ChangeBackPointer (const Handle(PColStd_HDoubleListOfPersistent)&BackPointer)
Standard_EXPORT void | ChangeForwardPointer (const Handle(PColStd_HDoubleListOfPersistent)&ForwardPointer)
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
Standard_EXPORT void | Destroy ()
| ~PColStd_HDoubleListOfPersistent ()
| PColStd_HDoubleListOfPersistent (const Storage_stCONSTclCOM &a)
| Handle (Standard_Persistent) _CSFDB_GetPColStd_HDoubleListOfPersistentData() const
void | _CSFDB_SetPColStd_HDoubleListOfPersistentData (const Handle(Standard_Persistent)&p)
| Handle (PColStd_HDoubleListOfPersistent) _CSFDB_GetPColStd_HDoubleListOfPersistentNext() const
void | _CSFDB_SetPColStd_HDoubleListOfPersistentNext (const Handle(PColStd_HDoubleListOfPersistent)&p)
| Handle (PColStd_HDoubleListOfPersistent) _CSFDB_GetPColStd_HDoubleListOfPersistentBefore() const
void | _CSFDB_SetPColStd_HDoubleListOfPersistentBefore (const Handle(PColStd_HDoubleListOfPersistent)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Standard_Persistent | Data
Handle_PColStd_HDoubleListOfPersistent | Next
Handle_PColStd_HDoubleListOfPersistent | Before

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_HDoubleListOfPersistent::PColStd_HDoubleListOfPersistent | ( |  | ) |

PColStd_HDoubleListOfPersistent::~PColStd_HDoubleListOfPersistent | ( |  | ) | `[inline]`

PColStd_HDoubleListOfPersistent::PColStd_HDoubleListOfPersistent | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PColStd_HDoubleListOfPersistent::_CSFDB_SetPColStd_HDoubleListOfPersistentBefore | ( | const Handle(PColStd_HDoubleListOfPersistent)& | p | ) | `[inline]`

void PColStd_HDoubleListOfPersistent::_CSFDB_SetPColStd_HDoubleListOfPersistentData | ( | const Handle(Standard_Persistent)& | p | ) | `[inline]`

void PColStd_HDoubleListOfPersistent::_CSFDB_SetPColStd_HDoubleListOfPersistentNext | ( | const Handle(PColStd_HDoubleListOfPersistent)& | p | ) | `[inline]`

Standard_EXPORT void PColStd_HDoubleListOfPersistent::ChangeBackPointer | ( | const Handle(PColStd_HDoubleListOfPersistent)& | BackPointer | ) |

Standard_EXPORT void PColStd_HDoubleListOfPersistent::ChangeForwardPointer | ( | const Handle(PColStd_HDoubleListOfPersistent)& | ForwardPointer | ) |

Standard_EXPORT Handle_PColStd_HDoubleListOfPersistent PColStd_HDoubleListOfPersistent::Construct | ( | const Handle(Standard_Persistent)& | T | ) |

Standard_EXPORT void PColStd_HDoubleListOfPersistent::Destroy | ( |  | ) |

Standard_EXPORT const PColStd_HDoubleListOfPersistent::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PMMgt_PManaged.

PColStd_HDoubleListOfPersistent::Handle | ( | PColStd_HDoubleListOfPersistent |  | ) | const`[inline]`

PColStd_HDoubleListOfPersistent::Handle | ( | PColStd_HDoubleListOfPersistent |  | ) | const`[inline]`

PColStd_HDoubleListOfPersistent::Handle | ( | Standard_Persistent |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean PColStd_HDoubleListOfPersistent::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_PColStd_HDoubleListOfPersistent PColStd_HDoubleListOfPersistent::Previous | ( |  | ) | const

Standard_EXPORT void PColStd_HDoubleListOfPersistent::SetValue | ( | const Handle(Standard_Persistent)& | T | ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColStd_HDoubleListOfPersistent::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColStd_HDoubleListOfPersistent::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_EXPORT void PColStd_HDoubleListOfPersistent::SwapTail | ( | Handle(PColStd_HDoubleListOfPersistent)& | WithList | ) |

Standard_EXPORT Handle_PColStd_HDoubleListOfPersistent PColStd_HDoubleListOfPersistent::Tail | ( |  | ) | const

Standard_EXPORT Handle_Standard_Persistent PColStd_HDoubleListOfPersistent::Value | ( |  | ) | const

## Field Documentation

Handle_PColStd_HDoubleListOfPersistent PColStd_HDoubleListOfPersistent::Before `[private]`

Handle_Standard_Persistent PColStd_HDoubleListOfPersistent::Data `[private]`

Handle_PColStd_HDoubleListOfPersistent PColStd_HDoubleListOfPersistent::Next `[private]`

The documentation for this class was generated from the following file:

- PColStd_HDoubleListOfPersistent.hxx